Index: modules/TrackPileUpSubtractor.h
===================================================================
--- modules/TrackPileUpSubtractor.h	(revision 82cf9c4144a2086e48447137eed678e636a00f35)
+++ modules/TrackPileUpSubtractor.h	(revision f0fd18a3edd611423e3c194102dc411219d37c70)
@@ -34,4 +34,5 @@
 class TIterator;
 class TObjArray;
+class DelphesFormula;
 
 class TrackPileUpSubtractor: public DelphesModule
@@ -48,5 +49,5 @@
 private:
 
-  Double_t fZVertexResolution;
+  DelphesFormula *fFormula; //!
 
   Double_t fPTMin;
Index: readers/DelphesLHEF.cpp
===================================================================
--- readers/DelphesLHEF.cpp	(revision 82cf9c4144a2086e48447137eed678e636a00f35)
+++ readers/DelphesLHEF.cpp	(revision f0fd18a3edd611423e3c194102dc411219d37c70)
@@ -103,5 +103,5 @@
 
     branchEvent = treeWriter->NewBranch("Event", LHEFEvent::Class());
-    branchWeight = treeWriter->NewBranch("Weight", Weight::Class());
+    branchWeight = treeWriter->NewBranch("Weight", LHEFWeight::Class());
 
     confReader = new ExRootConfReader;
